AddProtobufDescriptor
curl --request POST \
--url https://api.siftstack.com/api/v2/protobuf-descriptors:add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
},
"forceDuplicateRegistration": true
}
'import requests
url = "https://api.siftstack.com/api/v2/protobuf-descriptors:add"
payload = {
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
},
"forceDuplicateRegistration": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/protobuf-descriptors:add"
payload := strings.NewReader("{\n \"protobufDescriptor\": {\n \"messageTypeFullName\": \"<string>\",\n \"fileDescriptorSet\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"protoFileName\": \"<string>\",\n \"namespace\": \"<string>\",\n \"protobufDescriptorId\": \"<string>\"\n },\n \"forceDuplicateRegistration\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ProtobufDescriptorService
AddProtobufDescriptor
Used to register a protobuf message to be ingested.
POST
/
api
/
v2
/
protobuf-descriptors:add
AddProtobufDescriptor
curl --request POST \
--url https://api.siftstack.com/api/v2/protobuf-descriptors:add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
},
"forceDuplicateRegistration": true
}
'import requests
url = "https://api.siftstack.com/api/v2/protobuf-descriptors:add"
payload = {
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>"
},
"forceDuplicateRegistration": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/protobuf-descriptors:add"
payload := strings.NewReader("{\n \"protobufDescriptor\": {\n \"messageTypeFullName\": \"<string>\",\n \"fileDescriptorSet\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"protoFileName\": \"<string>\",\n \"namespace\": \"<string>\",\n \"protobufDescriptorId\": \"<string>\"\n },\n \"forceDuplicateRegistration\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protobufDescriptor": {
"messageTypeFullName": "<string>",
"fileDescriptorSet": "aSDinaTvuI8gbWludGxpZnk=",
"protoFileName": "<string>",
"namespace": "<string>",
"protobufDescriptorId": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I